From dfa2433dc58ddb24f7d9070c963d0267edf9e4b0 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Wed, 4 Sep 2024 08:03:09 +0200
Subject: [PATCH] Revert "When we click on "Audio Setup", calls kcm_pulseaudio"

This reverts commit a54f760987557036b90888a3efa7ad17346a00ed.
---
 apps/kmixwindow.cpp | 24 ------------------------
 apps/kmixwindow.h   |  2 --
 desktop/kmixui.rc   |  1 -
 3 files changed, 27 deletions(-)

diff --git a/apps/kmixwindow.cpp b/apps/kmixwindow.cpp
index f548edd3..ae86d653 100644
--- a/apps/kmixwindow.cpp
+++ b/apps/kmixwindow.cpp
@@ -38,8 +38,6 @@
 #include <klocalizedstring.h>
 #include <kstandardaction.h>
 #include <kxmlguifactory.h>
-#include <kprocess.h>
-#include <kcoreaddons_version.h>
 
 // KMix
 #include "kmix_debug.h"
@@ -172,11 +170,6 @@ void KMixWindow::initActions()
 	KStandardAction::preferences(this, &KMixWindow::showSettings, actionCollection());
 	KStandardAction::keyBindings(guiFactory(), &KXMLGUIFactory::showConfigureShortcutsDialog, actionCollection());
 
-	action = actionCollection()->addAction(QStringLiteral("launch_kdesoundsetup"));
-	action->setText(i18n("Audio Setup..."));
-	action->setIcon(QIcon::fromTheme("speaker"));
-	connect(action, &QAction::triggered, this, &KMixWindow::slotKdeAudioSetupExec);
-
 	action = actionCollection()->addAction(QStringLiteral("toggle_channels_currentview"));
 	action->setText(i18n("Configure &Channels..."));
 	action->setIcon(QIcon::fromTheme("settings-channels"));
@@ -1171,23 +1164,6 @@ void KMixWindow::toggleMenuBar()
 	menuBar()->setVisible(_actionShowMenubar->isChecked());
 }
 
-
-void KMixWindow::slotKdeAudioSetupExec()
-{
-    forkExec(QStringList() << QString("kcmshell%1").arg(KCOREADDONS_VERSION_MAJOR) << "kcm_pulseaudio");
-}
-
-
-void KMixWindow::forkExec(const QStringList& args)
-{
-   int pid = KProcess::startDetached(args);
-   if (pid == 0)
-   {
-       KMessageBox::error(this, i18n("The helper application is either not installed or not working.\n\n%1",
-                         args.join(QLatin1String(" "))));
-   }
-}
-
 void KMixWindow::slotConfigureCurrentView()
 {
 	const KMixerWidget *mw = qobject_cast<const KMixerWidget  *>(m_wsMixers->currentWidget());
diff --git a/apps/kmixwindow.h b/apps/kmixwindow.h
index 8e0a04cc..5711d452 100644
--- a/apps/kmixwindow.h
+++ b/apps/kmixwindow.h
@@ -88,7 +88,6 @@ protected Q_SLOTS:
 
 private:
     KMixerWidget* findKMWforTab( const QString& tabId );
-    void forkExec(const QStringList& args);
     KToggleAction* _actionShowMenubar;
 
     bool m_startVisible;
@@ -120,7 +119,6 @@ private:
     static QString getKmixctrlRcFilename(const QString &postfix);
 
 private Q_SLOTS:
-   void slotKdeAudioSetupExec();
    void slotConfigureCurrentView();
 
    void plugged(const char *driverName, const QString &udi, int dev);
diff --git a/desktop/kmixui.rc b/desktop/kmixui.rc
index 5c53281a..27ca3351 100644
--- a/desktop/kmixui.rc
+++ b/desktop/kmixui.rc
@@ -16,7 +16,6 @@
  <Menu name="settings">
      <Action name="toggle_channels_currentview" append="save_merge"/>
      <Action name="select_master" append="save_merge"/>
-     <Action name="launch_kdesoundsetup" append="save_merge"/>
  </Menu>
  <Menu name="help" append="about_merge"><text>&amp;Help</text>
   <Action name="hwinfo"/>
-- 
GitLab

